petsc-3.4.2 2013-07-02

# DMPlexComputeJacobianActionFEM

Form the local action of Jacobian J(u) on the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeJacobianActionFEM(DM dm, Mat Jac, Vec X, Vec F, void *user)

### Input Parameters

| dm | - The mesh
| J | - The Jacobian shell matrix
| X | - Local input vector
| user | - The user context

### Output Parameter

F -Local output vector

### Note

The second member of the user context must be an FEMContext.

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, like a GPU, or vectorize on a multicore machine.

### See Also

DMPlexComputeResidualFEM()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html